Bug 1323610

Summary: Broken since 3.6.1
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: rabbitmq-serverAssignee: Peter Lemenkov <lemenkov>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 23CC: christopherjabrams, erlang, hubert.plociniczak, iwienand, jeckersb, jon.dufresne, lemenkov, me, rjones, s, urban
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: rabbitmq-server-3.6.1-2.fc23 rabbitmq-server-3.6.1-2.fc24 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-04-08 15:50:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Remi Collet 2016-04-04 08:49:11 UTC
The service don't start anymore

# systemctl status rabbitmq-server.service
‚óŹ rabbitmq-server.service - RabbitMQ broker
   Loaded: loaded (/usr/lib/systemd/system/rabbitmq-server.service; disabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since lun. 2016-04-04 10:47:25 CEST; 7s ago
  Process: 21516 ExecStop=/usr/lib/rabbitmq/bin/rabbitmqctl stop (code=exited, status=203/EXEC)
  Process: 21511 ExecStart=/usr/lib/rabbitmq/bin/rabbitmq-server (code=exited, status=203/EXEC)
 Main PID: 21511 (code=exited, status=203/EXEC)

avril 04 10:47:25 builder.remirepo.net systemd[1]: Starting RabbitMQ broker...
avril 04 10:47:25 builder.remirepo.net systemd[1]: rabbitmq-server.service: Main process exited, code=exited, status=203/EXEC
avril 04 10:47:25 builder.remirepo.net systemd[1]: rabbitmq-server.service: Control process exited, code=exited status=203
avril 04 10:47:25 builder.remirepo.net systemd[1]: Failed to start RabbitMQ broker.
avril 04 10:47:25 builder.remirepo.net systemd[1]: rabbitmq-server.service: Unit entered failed state.
avril 04 10:47:25 builder.remirepo.net systemd[1]: rabbitmq-server.service: Failed with result 'exit-code'.


IN the .service file

ExecStart=/usr/lib/rabbitmq/bin/rabbitmq-server
ExecStop=/usr/lib/rabbitmq/bin/rabbitmqctl stop

Both files does not exist.

The RPM content seems strange with a new tree:
/usr/lib/rabbitmq/lib/rabbitmq_server-3.6.1

Comment 1 Peter Lemenkov 2016-04-05 18:42:12 UTC
Sorry folks, I've certainly made a mistake. Please revert to the previous version for now. Meanwhile I'm going to build a fixed one.

Comment 2 Fedora Update System 2016-04-06 14:48:07 UTC
rabbitmq-server-3.6.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-30fd051fe6

Comment 3 Fedora Update System 2016-04-06 14:48:24 UTC
rabbitmq-server-3.6.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e11ed0dea9

Comment 4 Krzysztof Urbaniak 2016-04-07 11:19:09 UTC
Any updates on that issue? I'm getting the errors with latest Fedora 24 Alpha.

Comment 5 Peter Lemenkov 2016-04-07 11:25:08 UTC
(In reply to Krzysztof Urbaniak from comment #4)
> Any updates on that issue? I'm getting the errors with latest Fedora 24
> Alpha.

Please, enable updates-testing repo and update to rabbitmq-server-3.6.1-2.fc24. E.g.:

$ sudo dnf update rabbitmq-server --enablerepo updates-testing

Comment 6 Fedora Update System 2016-04-07 16:54:00 UTC
rabbitmq-server-3.6.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e11ed0dea9

Comment 7 Fedora Update System 2016-04-07 21:19:33 UTC
rabbitmq-server-3.6.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-30fd051fe6

Comment 8 Fedora Update System 2016-04-08 15:50:12 UTC
rabbitmq-server-3.6.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-04-12 09:40:13 UTC
rabbitmq-server-3.6.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.